%define major 0
%define libname %mklibname globus-gsi-proxy-core %{major}
%define develname %mklibname globus-gsi-proxy-core -d

Name:		globus-gsi-proxy-core
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	9.8
Release:	%mkrel 1
Summary:	Globus Toolkit - Globus GSI Proxy Core Library

Group:		System/Libraries
License:	%{apache_license}
URL:            https://github.com/gridcf/gct/
Source:         https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz
BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires:	pkgconfig(globus-gsi-proxy-ssl) >= 4
BuildRequires:	pkgconfig(globus-gsi-credential) >= 5
BuildRequires:	pkgconfig(globus-openssl-module) >= 3
BuildRequires:	pkgconfig(globus-gsi-openssl-error) >= 2
BuildRequires:	pkgconfig(globus-gsi-cert-utils) >= 8
BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-gsi-sysconfig) >= 5
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig

%package -n %{develname}
Summary:	Globus Toolkit - Globus GSI Proxy Core Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-gsi-proxy-ssl) >= 4
Requires:	pkgconfig(globus-gsi-credential) >= 5
Requires:	pkgconfig(globus-openssl-module) >= 3
Requires:	pkgconfig(globus-gsi-openssl-error) >= 2
Requires:	pkgconfig(globus-gsi-cert-utils) >= 8
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-gsi-sysconfig) >= 5
Requires:  openssl
Requires:  openssl-devel

%package doc
Summary:	Globus Toolkit - Globus GSI Proxy Core Library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

%package -n %{libname}
Summary: Globus Toolkit - Globus GSI Proxy Core Library
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI Proxy Core Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus GSI Proxy Core Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus GSI Proxy Core Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --with-symbol-versions \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%check
make %{?_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html
%{_mandir}/man3/*




%changelog
* Sun Oct 02 2022 neoclust <neoclust> 9.8-1.mga9
+ Revision: 1893919
- New version

* Fri Apr 01 2022 umeabot <umeabot> 9.6-2.mga9
+ Revision: 1838982
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 joequant <joequant> 9.6-1.mga9
+ Revision: 1748736
- update to newest openssl
+ wally <wally>
- rebuild for openssl 3.0.0

* Fri Dec 18 2020 joequant <joequant> 9.5-1.mga8
+ Revision: 1660738
- update to 9.5

* Mon May 04 2020 joequant <joequant> 9.4-1.mga8
+ Revision: 1578657
- update to 9.4

* Tue Apr 28 2020 joequant <joequant> 8.7-1.mga8
+ Revision: 1572679
- imported package globus-gsi-proxy-core

